<?php

namespace BS\StickyFirstPost\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class Thread extends XFCP_Thread
{
	public function isStickyFirstPost()
	{
		return ($this->Forum->bs_is_sticky_first_post || $this->bs_is_sticky_first_post);
	}

	public function canStickyFirstPost()
	{
		if ($this->Forum->bs_is_sticky_first_post)
		{
			return false;
		}

		$visitor = \XF::visitor();

		if ($visitor->hasPermission('forum', 'stickFirstPostAny'))
		{
			return true;
		}

		if ($visitor->hasPermission('forum', 'stickFirstPost'))
		{
			if ($this->isInsert())
			{
				return true;
			}

			return ($visitor->user_id === $this->user_id);
		}
	}
}